*This file is provided by Jon Schwabish at PolicyViz.com
*The data are manually pulled from NHL.com in separate files
*and then cleaned and appended from this file.

cd ""

forvalues i=77/98 {
	import excel using "Summary `i'.xlsx",clear first
	gen year=`i'+1900
	replace OT="."
	destring OT, replace
	drop FOW
	save "Summary `i'.dta",replace
}

forvalues i=99/104 {
	import excel using "Summary `i'.xlsx",clear first
	gen year=`i'+1900
	*replace T="."
	*destring T, replace
	drop FOW
	save "Summary `i'.dta",replace
}

forvalues i=105/121 {
	import excel using "Summary `i'.xlsx",clear first
	gen year=`i'+1900
	replace T="."
	destring T, replace
	drop FOW
	save "Summary `i'.dta",replace
}

use "Summary 77",clear
forvalues i=78/121 {
	di `i'
	append using "Summary `i'.dta"
}

gen OTgame=.
replace OTgame=ROW-RW+OT+SOWin if year>=2005
replace OTgame=T if year<2005

replace OTgame=. if year==2004
replace T=. if year==2004
replace OT=. if year==2004

save "Summary all.dta",replace 
export excel using "Summary all.xlsx",replace first(var)
